# ModuleLibrary

open class ModuleLibrary : Dependency

Represents an orderEntry of type module-library in the iml XML.

#### Inheritors

SingleEntryModuleLibrary

## Constructors

ModuleLibrary
Link copied to clipboard
constructor(classes: Collection<out Path>, javadoc: Collection<out Path>, sources: Collection<out Path>, jarDirectories: Collection<JarDirectory>, scope: String)

## Properties

classes
Link copied to clipboard
open var classes: Set<Path>
jarDirectories
Link copied to clipboard
open var jarDirectories: Set<JarDirectory>
javadoc
Link copied to clipboard
open var javadoc: Set<Path>
scope
Link copied to clipboard
open var scope: String
sources
Link copied to clipboard
open var sources: Set<Path>

## Functions

addToNode
Link copied to clipboard
open fun addToNode(parentNode: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
getScope
Link copied to clipboard
abstract fun getScope(): String
hashCode
Link copied to clipboard
open fun hashCode(): Int
isExported
Link copied to clipboard
open fun isExported(): Boolean
Whether the library is exported to dependent modules.
setExported
Link copied to clipboard
open fun setExported(exported: Boolean)
setScope
Link copied to clipboard
abstract fun setScope(scope: String)
toString
Link copied to clipboard
open fun toString(): String